<ion-content>
  <h3>Simulador</h3>

  <ion-card>
    <form [formGroup]="simuladorDdfForm" (ngSubmit)="continuar()">
      <p>
        <img
          src="assets/iconos-svg/info-circle-fill.svg"
          alt="info">
        Realiza las simulaciones necesarias, hasta que el socio este de acuerdo
      </p>

      <ion-grid>
        <ion-row>
          <ion-col size="5">
            <h5>Monto final ahorro</h5>
            <p>{{ montoFinal | currency }}</p>
          </ion-col>
          <ion-col
            class="col-vino"
            size="7">
            <h5>Tasa de interés efectiva</h5>
            <p>{{ simulacion?.TasaEfectiva ?? 0 }}%</p>
          </ion-col>
        </ion-row>
      </ion-grid>

      <ion-grid>
        <ion-row>
          <ion-col
            size="5">
            <p class="p-monto">Monto</p>
            <ion-item lines="none">
              <ion-input
                autocomplete="off"
                required
                formControlName="monto"
                type="tel"
                placeholder="Monto"
                min="12"
                max="50000">
              </ion-input>
              <ion-note *ngIf="montoField?.hasError('required')" slot="error">Monto obligatorio</ion-note>
              <ion-note *ngIf="montoField?.hasError('min')" slot="error">Monto minimo</ion-note>
              <ion-note *ngIf="montoField?.hasError('max')" slot="error">Monto máximo</ion-note>
            </ion-item>
          </ion-col>

          <ion-col
            size="7">
            <h5 class="h5-monto">Min: $12 - Max: $50000</h5>
            <ion-range
              disabled="true"
              [min]="12"
              [max]="50000"
              [value]="simuladorDdfForm.value.monto">
              <ion-label slot="start">12</ion-label>
              <ion-label slot="end">50000</ion-label>
            </ion-range>
          </ion-col>
        </ion-row>
      </ion-grid>

      <ion-grid>
        <ion-row>
          <ion-col
            size="5">
            <p class="p-monto">Plazo</p>
            <ion-item lines="none">
              <ion-input
                autocomplete="off"
                required
                formControlName="plazo"
                type="tel"
                placeholder="Meses"
                min="6"
                max="120"
              >
              </ion-input>
              <ion-note *ngIf="plazoField?.hasError('required')" slot="error">Plazo obligatorio</ion-note>
              <ion-note *ngIf="plazoField?.hasError('min')" slot="error">Plazo minimo</ion-note>
              <ion-note *ngIf="plazoField?.hasError('max')" slot="error">Plazo máximo</ion-note>
            </ion-item>
          </ion-col>

          <ion-col
            size="7">
            <h5 class="h5-monto">Min: 6 meses - Max: 120 meses</h5>
            <ion-range
              [min]="6"
              [max]="120"
              disabled="true"
              [value]="simuladorDdfForm.value.plazo">
              <ion-label slot="start">6</ion-label>
              <ion-label slot="end">120</ion-label>
            </ion-range>
          </ion-col>
        </ion-row>
      </ion-grid>

      <ion-grid>
        <ion-row>
          <ion-col size="6">
            <p class="p-monto">Tipo de capitalización</p>
            <ion-item
              lines="none">
              <ion-select
                required
                formControlName="capitalizacion"
                interface="action-sheet"
                okText="Seleccionar"
                cancelText="Cancelar"
                placeholder="Tipos de capitalización">
                <ion-select-option
                  *ngFor="let tipo of tiposCapitalizacion">
                  {{ tipo.nombre }}
                </ion-select-option>
              </ion-select>
              <ion-note *ngIf="tipoCapitalizacionField?.hasError('required')" slot="error">Capitalización obligatorio</ion-note>
            </ion-item>

          </ion-col>

          <ion-col size="6">
            <p class="p-monto">Origen de los recuros</p>
            <ion-item
              lines="none">
              <ion-select
                required
                formControlName="origenRecursos"
                interface="action-sheet"
                okText="Seleccionar"
                cancelText="Cancelar"
                placeholder="Origen de recursos">
                <ion-select-option
                  [value]="origen.codigo"
                  *ngFor="let origen of origenRecursos">
                  {{ origen.descripcion }}
                </ion-select-option>
              </ion-select>
              <ion-note *ngIf="origenRecursosField?.hasError('required')" slot="error">Origen recursos obligatorio</ion-note>
            </ion-item>
          </ion-col>
        </ion-row>
      </ion-grid>

      <ion-grid>
        <ion-row>
          <ion-col
            size="5">
            <p class="p-monto">Interes adicional</p>
            <ion-item lines="none">
              <ion-input
                formControlName="interesAdicional"
                type="tel"
                placeholder="Interes Adicional"
                value="0.5">
              </ion-input>
              <ion-note *ngIf="interesAdicionalField?.hasError('min')" slot="error">Valor minimo</ion-note>
              <ion-note *ngIf="interesAdicionalField?.hasError('max')" slot="error">Valor máximo</ion-note>
            </ion-item>
          </ion-col>

          <ion-col
            size="7">
            <h5 class="h5-monto">Min: 0% - Max: 2%</h5>
            <ion-range
              disabled="true"
              [value]="simuladorDdfForm.value.interesAdicional ?? 0"
              [min]="0"
              [max]="2"
              step="0.1">
              <ion-label slot="start">0</ion-label>
              <ion-label slot="end">2</ion-label>
            </ion-range>
          </ion-col>
        </ion-row>
      </ion-grid>

      <div class="div-continuar">
        <ion-button
          class="ion-button-secundario"
          expand="block"
          [disabled]="simuladorDdfForm.invalid"
          (click)="simular()">
          Simular
        </ion-button>
      </div>

      <div class="div-continuar">
        <ion-button
          expand="block"
          (click)="continuar()">
          Continuar
        </ion-button>
      </div>
    </form>
  </ion-card>
</ion-content>
